complexType "AbsoluteTolerance"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | positive?, negative?, unit?, optionOwnerPartyReference?
</...>

Content Model Elements (4):

  negative (in absoluteTolerance), optionOwnerPartyReference, | positive, unit (in absoluteTolerance)

All Direct / Indirect Based Elements (1):

  absoluteTolerance

Known Usage Locations

- As direct type of elements (1):
  absoluteTolerance

Annotation
The acceptable tolerance in the delivered quantity of a physical commodity product in terms of a number of units of that product.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="AbsoluteTolerance"> <xsd:sequence> <xsd:element minOccurs="0" name="positive" type="xsd:decimal"/> <xsd:element minOccurs="0" name="negative" type="xsd:decimal"/> <xsd:element minOccurs="0" name="unit" type="QuantityUnit"/> <xsd:element minOccurs="0" name="optionOwnerPartyReference" type="PartyReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
negative

  Type: | xsd:decimal, predefined, simple content

  The maximum amount by which the quantity delivered can be less than the agreed quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="negative" type="xsd:decimal"/>

optionOwnerPartyReference

  Type: | PartyReference, empty content

  Indicates whether the tolerance is at the seller's or buyer's option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionOwnerPartyReference" type="PartyReference"/>

positive

  Type: | xsd:decimal, predefined, simple content

  The maxmium amount by which the quantity delivered can exceed the agreed quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="positive" type="xsd:decimal"/>

unit

  Type: | QuantityUnit, simple content

  The unit in which the tolerance is specified.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="unit" type="QuantityUnit"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.